Summary: Fermilab standalone lpr client
Name: flpr
Version: 2.4
Release: 5
Source: flpr-2.4-0.tz
Patch0: patch-1f
Patch1: patch-2f
Patch2: patch-3f
Patch3: patch-4f
License: Copyright/License in flpr.c.
Group: X11/Utilities
Packager: Randolph J. Herber <herber@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Standalone lpr client program which does not _require_ any control files
to operate.  Single executable complete with internal man page and with
extensive, detailed error messages.  If desired, /usr/local/etc/flp.defaults
may be created and used to designate system-wide defaults and .../flp.printers
can hold a separate printer nicknames file (separate for ease of maintenance).
%prep
%setup -n flpr-2.4-0
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
chmod a+rx mkplace.sh
%build
make
%install
make install
make mansrc
make manfmt
# Put things in the proper place for newer rpmbuild
mkdir -p $RPM_BUILD_ROOT/
cd $RPM_BUILD_ROOT/
mkdir -p usr/local/bin/ usr/local/man/man1/ usr/local/catman/cat1/
/bin/mv -f /usr/local/bin/flpr usr/local/bin/
/bin/mv -f /usr/local/bin/flpq usr/local/bin/
/bin/mv -f /usr/local/bin/flpk usr/local/bin/
/bin/mv -f /usr/local/man/man1/flpr.man usr/local/man/man1/
/bin/mv -f /usr/local/catman/cat1/flpr.1.Z usr/local/catman/cat1/

%files
%verify(mode md5 size mtime) /usr/local/bin/flpr
%verify(mode md5 size mtime) /usr/local/bin/flpq
%verify(mode md5 size mtime) /usr/local/bin/flpk
%doc /usr/local/man/man1/flpr.man
%doc /usr/local/catman/cat1/flpr.1.Z
